<template>
    <div>
        <span>{{randomNumber}}</span>
        <button @click="getRandomNumber"></button>
    </div>
</template>

<script>
    export default {
        name: "RandomNumber",
        props: {
            min: {
                type: Number,
                default: 1
            },
            max: {
                type: Number,
                default: 10
            }
        },
        data: () => ({
            randomNumber: 0

        }),
        methods: {
            getRandomNumber() {
                this.randomNumber = Math.floor(Math.random() * (this.max - this.min + 1)) + this.min;
            }
        }
    }
</script>

<style scoped>

</style>